[ARVADOS] updated: 1.3.0-2606-gf98e61d49

Git user git at public.arvados.org
Thu May 21 15:23:17 UTC 2020


Summary of changes:
 build/run-build-packages-one-target.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

       via  f98e61d49ee0219dab4de3e32d789b4f25cdef68 (commit)
      from  1115cfbeca79c55c9060c752b04e602b13d6a343 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit f98e61d49ee0219dab4de3e32d789b4f25cdef68
Author: Ward Vandewege <ward at jhvc.com>
Date:   Thu May 21 11:22:08 2020 -0400

    When building/testing debian packages, run-build-packages-one-target.sh
    now tests for the presence of dpkg-scanpackages and apt-ftparchive and
    aborts if they are not present.
    
    No issue #
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at jhvc.com>

diff --git a/build/run-build-packages-one-target.sh b/build/run-build-packages-one-target.sh
index f476a9691..1a845d200 100755
--- a/build/run-build-packages-one-target.sh
+++ b/build/run-build-packages-one-target.sh
@@ -143,6 +143,22 @@ if [[ -n "$test_packages" ]]; then
   fi
 
   if [[ -n "$(find $WORKSPACE/packages/$TARGET -name '*.deb')" ]] ; then
+    set +e
+    /usr/bin/which dpkg-scanpackages >/dev/null
+    if [[ "$?" != "0" ]]; then
+      echo >&2
+      echo >&2 "Error: please install dpkg-dev. E.g. sudo apt-get install dpkg-dev"
+      echo >&2
+      exit 1
+    fi
+    /usr/bin/which apt-ftparchive >/dev/null
+    if [[ "$?" != "0" ]]; then
+      echo >&2
+      echo >&2 "Error: please install apt-utils. E.g. sudo apt-get install apt-utils"
+      echo >&2
+      exit 1
+    fi
+    set -e
     (cd $WORKSPACE/packages/$TARGET
       dpkg-scanpackages .  2> >(grep -v 'warning' 1>&2) | tee Packages | gzip -c > Packages.gz
       apt-ftparchive -o APT::FTPArchive::Release::Origin=Arvados release . > Release

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list